BEGIN;
CREATE TRIGGER IF NOT EXISTS insert_changelog_BEXIgnore AFTER INSERT ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_BEXIgnore AFTER DELETE ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_BEXIgnore__rowid AFTER UPDATE OF _rowid ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_BEXIgnore_foreignAppEntityName AFTER UPDATE OF foreignAppEntityName ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, new._rowid, 'U', 'foreignAppEntityName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_BEXIgnore_foreignAppImportID AFTER UPDATE OF foreignAppImportID ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, new._rowid, 'U', 'foreignAppImportID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_BEXIgnore_foreignAppName AFTER UPDATE OF foreignAppName ON BEXIgnore
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 1, new._rowid, 'U', 'foreignAppName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Category AFTER INSERT ON Category
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 2, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Category AFTER DELETE ON Category
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 2, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Category__rowid AFTER UPDATE OF _rowid ON Category
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 2, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Category_name AFTER UPDATE OF name ON Category
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 2, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Client AFTER INSERT ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Client AFTER DELETE ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_mileageDistance AFTER UPDATE OF mileageDistance ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'mileageDistance'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client__rowid AFTER UPDATE OF _rowid ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_clientNumber AFTER UPDATE OF clientNumber ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'clientNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_company AFTER UPDATE OF company ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'company'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_createDate AFTER UPDATE OF createDate ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_email AFTER UPDATE OF email ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'email'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_extra1 AFTER UPDATE OF extra1 ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'extra1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_extra2 AFTER UPDATE OF extra2 ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'extra2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_extra3 AFTER UPDATE OF extra3 ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'extra3'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_extra4 AFTER UPDATE OF extra4 ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'extra4'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_firstName AFTER UPDATE OF firstName ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'firstName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_hourlyRate AFTER UPDATE OF hourlyRate ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'hourlyRate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_isCompany AFTER UPDATE OF isCompany ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'isCompany'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_lastName AFTER UPDATE OF lastName ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'lastName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_mileageRate AFTER UPDATE OF mileageRate ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'mileageRate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_modifyDate AFTER UPDATE OF modifyDate ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_clientCategoryID AFTER UPDATE OF clientCategoryID ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'clientCategoryID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_balanceCached AFTER UPDATE OF balanceCached ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'balanceCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_retainersBalanceCached AFTER UPDATE OF retainersBalanceCached ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'retainersBalanceCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_unbilledAmountCached AFTER UPDATE OF unbilledAmountCached ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'unbilledAmountCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_incompleteAmountCached AFTER UPDATE OF incompleteAmountCached ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'incompleteAmountCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressCity AFTER UPDATE OF addressCity ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressCity'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressStreet AFTER UPDATE OF addressStreet ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressStreet'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressState AFTER UPDATE OF addressState ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressState'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressZIP AFTER UPDATE OF addressZIP ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressZIP'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressCountry AFTER UPDATE OF addressCountry ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressCountry'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_addressFormatted AFTER UPDATE OF addressFormatted ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'addressFormatted'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_clientPhotoID AFTER UPDATE OF clientPhotoID ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'clientPhotoID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_currentCurrencyID AFTER UPDATE OF currentCurrencyID ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'currentCurrencyID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_overdueAmountCached AFTER UPDATE OF overdueAmountCached ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'overdueAmountCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_overdueAmountValidUntilDate AFTER UPDATE OF overdueAmountValidUntilDate ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'overdueAmountValidUntilDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Client_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON Client
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 3, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ClientABLink AFTER INSERT ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ClientABLink AFTER DELETE ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink__rowid AFTER UPDATE OF _rowid ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink_clientID AFTER UPDATE OF clientID ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink_deviceUUID AFTER UPDATE OF deviceUUID ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', 'deviceUUID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink_abUUID AFTER UPDATE OF abUUID ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', 'abUUID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink_abAddressUUID AFTER UPDATE OF abAddressUUID ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', 'abAddressUUID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientABLink_abEmailUUID AFTER UPDATE OF abEmailUUID ON ClientABLink
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 4, new._rowid, 'U', 'abEmailUUID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ClientCategory AFTER INSERT ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ClientCategory AFTER DELETE ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientCategory__rowid AFTER UPDATE OF _rowid ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientCategory_name AFTER UPDATE OF name ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientCategory_collapsed AFTER UPDATE OF collapsed ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, new._rowid, 'U', 'collapsed'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientCategory_orderNumber AFTER UPDATE OF orderNumber ON ClientCategory
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 5, new._rowid, 'U', 'orderNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ClientPhoto AFTER INSERT ON ClientPhoto
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 6, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ClientPhoto AFTER DELETE ON ClientPhoto
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 6, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientPhoto__rowid AFTER UPDATE OF _rowid ON ClientPhoto
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 6, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ClientPhoto_imageData AFTER UPDATE OF imageData ON ClientPhoto
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 6, new._rowid, 'U', 'imageData'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ConsolidatedTax AFTER INSERT ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ConsolidatedTax AFTER DELETE ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax_active AFTER UPDATE OF active ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', 'active'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax_atomic AFTER UPDATE OF atomic ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', 'atomic'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax__rowid AFTER UPDATE OF _rowid ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax_createDate AFTER UPDATE OF createDate ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax_name AFTER UPDATE OF name ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ConsolidatedTax_parentConsolidatedTaxID AFTER UPDATE OF parentConsolidatedTaxID ON ConsolidatedTax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 7, new._rowid, 'U', 'parentConsolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Currency AFTER INSERT ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Currency AFTER DELETE ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency__rowid AFTER UPDATE OF _rowid ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_name AFTER UPDATE OF name ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_currencyCode AFTER UPDATE OF currencyCode ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'currencyCode'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_currencySymbol AFTER UPDATE OF currencySymbol ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'currencySymbol'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_exchangeRateToBase AFTER UPDATE OF exchangeRateToBase ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'exchangeRateToBase'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_exchangeRateDate AFTER UPDATE OF exchangeRateDate ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'exchangeRateDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_isBaseCurrency AFTER UPDATE OF isBaseCurrency ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'isBaseCurrency'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_active AFTER UPDATE OF active ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'active'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_localeIdentifier AFTER UPDATE OF localeIdentifier ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'localeIdentifier'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_overrideLocaleIdentifier AFTER UPDATE OF overrideLocaleIdentifier ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'overrideLocaleIdentifier'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_extra1 AFTER UPDATE OF extra1 ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'extra1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_extra2 AFTER UPDATE OF extra2 ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'extra2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_extra3 AFTER UPDATE OF extra3 ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'extra3'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Currency_extra4 AFTER UPDATE OF extra4 ON Currency
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 35, new._rowid, 'U', 'extra4'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Estimate AFTER INSERT ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Estimate AFTER DELETE ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_billingsFileID AFTER UPDATE OF billingsFileID ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'billingsFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_comment AFTER UPDATE OF comment ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_compoundSecondaryTax AFTER UPDATE OF compoundSecondaryTax ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'compoundSecondaryTax'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_createDate AFTER UPDATE OF createDate ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_discount AFTER UPDATE OF discount ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_dueDate AFTER UPDATE OF dueDate ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate__rowid AFTER UPDATE OF _rowid ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_estimateNumber AFTER UPDATE OF estimateNumber ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'estimateNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_markup AFTER UPDATE OF markup ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'markup'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_modifyDate AFTER UPDATE OF modifyDate ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_name AFTER UPDATE OF name ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_projectID AFTER UPDATE OF projectID ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_sentDate AFTER UPDATE OF sentDate ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'sentDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_state AFTER UPDATE OF state ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'state'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_subTotal AFTER UPDATE OF subTotal ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'subTotal'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_tax1 AFTER UPDATE OF tax1 ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'tax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_tax1Name AFTER UPDATE OF tax1Name ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'tax1Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_tax2 AFTER UPDATE OF tax2 ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'tax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_tax2Name AFTER UPDATE OF tax2Name ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'tax2Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_useTax1 AFTER UPDATE OF useTax1 ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'useTax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_useTax2 AFTER UPDATE OF useTax2 ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'useTax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_userFileID AFTER UPDATE OF userFileID ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'userFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Estimate_estimateHtmlID AFTER UPDATE OF estimateHtmlID ON Estimate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 8, new._rowid, 'U', 'estimateHtmlID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_EstimateHtml AFTER INSERT ON EstimateHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 36, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_EstimateHtml AFTER DELETE ON EstimateHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 36, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateHtml__rowid AFTER UPDATE OF _rowid ON EstimateHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 36, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateHtml_html AFTER UPDATE OF html ON EstimateHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 36, new._rowid, 'U', 'html'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateHtml_type AFTER UPDATE OF type ON EstimateHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 36, new._rowid, 'U', 'type'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_EstimateSlip AFTER INSERT ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_EstimateSlip AFTER DELETE ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_categoryID AFTER UPDATE OF categoryID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'categoryID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_userID AFTER UPDATE OF userID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'userID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_comment AFTER UPDATE OF comment ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_compoundSecondaryTax AFTER UPDATE OF compoundSecondaryTax ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'compoundSecondaryTax'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_createDate AFTER UPDATE OF createDate ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_discount AFTER UPDATE OF discount ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_distance AFTER UPDATE OF distance ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'distance'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_dueDate AFTER UPDATE OF dueDate ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_duration AFTER UPDATE OF duration ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'duration'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_endDateTime AFTER UPDATE OF endDateTime ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'endDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_estimateID AFTER UPDATE OF estimateID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'estimateID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_foreignAppEntityName AFTER UPDATE OF foreignAppEntityName ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'foreignAppEntityName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_foreignAppImportID AFTER UPDATE OF foreignAppImportID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'foreignAppImportID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_foreignAppLastTouchDate AFTER UPDATE OF foreignAppLastTouchDate ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'foreignAppLastTouchDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_foreignAppName AFTER UPDATE OF foreignAppName ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'foreignAppName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_foreignAppUser AFTER UPDATE OF foreignAppUser ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'foreignAppUser'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_markup AFTER UPDATE OF markup ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'markup'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_mileageType AFTER UPDATE OF mileageType ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'mileageType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_modifyDate AFTER UPDATE OF modifyDate ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_name AFTER UPDATE OF name ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_nature AFTER UPDATE OF nature ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'nature'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_projectID AFTER UPDATE OF projectID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_rate AFTER UPDATE OF rate ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'rate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_roundTime AFTER UPDATE OF roundTime ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'roundTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_startDateTime AFTER UPDATE OF startDateTime ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'startDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_tax1 AFTER UPDATE OF tax1 ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'tax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_tax1Name AFTER UPDATE OF tax1Name ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'tax1Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_tax2 AFTER UPDATE OF tax2 ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'tax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_tax2Name AFTER UPDATE OF tax2Name ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'tax2Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip__rowid AFTER UPDATE OF _rowid ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_timeSlipRefID AFTER UPDATE OF timeSlipRefID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'timeSlipRefID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_total AFTER UPDATE OF total ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_typeID AFTER UPDATE OF typeID ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'typeID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_units AFTER UPDATE OF units ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'units'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_useTax1 AFTER UPDATE OF useTax1 ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'useTax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_useTax2 AFTER UPDATE OF useTax2 ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'useTax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_EstimateSlip_uuid AFTER UPDATE OF uuid ON EstimateSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 9, new._rowid, 'U', 'uuid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Extra AFTER INSERT ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Extra AFTER DELETE ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra__rowid AFTER UPDATE OF _rowid ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_mimeType AFTER UPDATE OF mimeType ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'mimeType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_mimeSubtype AFTER UPDATE OF mimeSubtype ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'mimeSubtype'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_internalType AFTER UPDATE OF internalType ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'internalType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_name AFTER UPDATE OF name ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_dataValue AFTER UPDATE OF dataValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'dataValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_stringValue AFTER UPDATE OF stringValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'stringValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_datetimeValue AFTER UPDATE OF datetimeValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'datetimeValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_doubleValue AFTER UPDATE OF doubleValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'doubleValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_floatValue AFTER UPDATE OF floatValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'floatValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_intValue AFTER UPDATE OF intValue ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'intValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_parentEntity AFTER UPDATE OF parentEntity ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'parentEntity'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Extra_parentID AFTER UPDATE OF parentID ON Extra
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 37, new._rowid, 'U', 'parentID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ExtraFieldNames AFTER INSERT ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ExtraFieldNames AFTER DELETE ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField1Name AFTER UPDATE OF extraField1Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField1Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField2Name AFTER UPDATE OF extraField2Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField2Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField3Name AFTER UPDATE OF extraField3Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField3Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField4Name AFTER UPDATE OF extraField4Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField4Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField5Name AFTER UPDATE OF extraField5Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField5Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField6Name AFTER UPDATE OF extraField6Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField6Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField7Name AFTER UPDATE OF extraField7Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField7Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_extraField8Name AFTER UPDATE OF extraField8Name ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'extraField8Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames__rowid AFTER UPDATE OF _rowid ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ExtraFieldNames_forEntity AFTER UPDATE OF forEntity ON ExtraFieldNames
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 10, new._rowid, 'U', 'forEntity'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Invoice AFTER INSERT ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Invoice AFTER DELETE ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_billingsFileID AFTER UPDATE OF billingsFileID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'billingsFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_comment AFTER UPDATE OF comment ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_compoundSecondaryTax AFTER UPDATE OF compoundSecondaryTax ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'compoundSecondaryTax'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_createDate AFTER UPDATE OF createDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_discount AFTER UPDATE OF discount ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_dueDate AFTER UPDATE OF dueDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_invoiceDate AFTER UPDATE OF invoiceDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'invoiceDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice__rowid AFTER UPDATE OF _rowid ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_invoiceNumber AFTER UPDATE OF invoiceNumber ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'invoiceNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_markup AFTER UPDATE OF markup ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'markup'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_modifyDate AFTER UPDATE OF modifyDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_name AFTER UPDATE OF name ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_sentDate AFTER UPDATE OF sentDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'sentDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_state AFTER UPDATE OF state ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'state'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_tax1 AFTER UPDATE OF tax1 ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'tax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_tax1Name AFTER UPDATE OF tax1Name ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'tax1Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_tax2 AFTER UPDATE OF tax2 ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'tax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_tax2Name AFTER UPDATE OF tax2Name ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'tax2Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_taxPointDate AFTER UPDATE OF taxPointDate ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'taxPointDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_useTax1 AFTER UPDATE OF useTax1 ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'useTax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_useTax2 AFTER UPDATE OF useTax2 ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'useTax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_userFileID AFTER UPDATE OF userFileID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'userFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_clientID AFTER UPDATE OF clientID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_projectID AFTER UPDATE OF projectID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_invoiceHtmlID AFTER UPDATE OF invoiceHtmlID ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'invoiceHtmlID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Invoice_totalCached AFTER UPDATE OF totalCached ON Invoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 11, new._rowid, 'U', 'totalCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_InvoiceHtml AFTER INSERT ON InvoiceHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 34, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_InvoiceHtml AFTER DELETE ON InvoiceHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 34, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_InvoiceHtml__rowid AFTER UPDATE OF _rowid ON InvoiceHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 34, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_InvoiceHtml_html AFTER UPDATE OF html ON InvoiceHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 34, new._rowid, 'U', 'html'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_InvoiceHtml_type AFTER UPDATE OF type ON InvoiceHtml
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 34, new._rowid, 'U', 'type'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_MCUserDefaultsStorage AFTER INSERT ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_MCUserDefaultsStorage AFTER DELETE ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage_BlobValue AFTER UPDATE OF BlobValue ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', 'BlobValue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage_HostID AFTER UPDATE OF HostID ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', 'HostID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage_Key AFTER UPDATE OF Key ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', 'Key'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage_LastType AFTER UPDATE OF LastType ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', 'LastType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage__rowid AFTER UPDATE OF _rowid ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_MCUserDefaultsStorage_Value AFTER UPDATE OF Value ON MCUserDefaultsStorage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 12, new._rowid, 'U', 'Value'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Note AFTER INSERT ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Note AFTER DELETE ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_contents AFTER UPDATE OF contents ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'contents'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_createDate AFTER UPDATE OF createDate ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_modifyDate AFTER UPDATE OF modifyDate ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_name AFTER UPDATE OF name ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note__rowid AFTER UPDATE OF _rowid ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_plainContents AFTER UPDATE OF plainContents ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'plainContents'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Note_projectID AFTER UPDATE OF projectID ON Note
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 13, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Payment AFTER INSERT ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Payment AFTER DELETE ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_cachedAppliedAmount AFTER UPDATE OF cachedAppliedAmount ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'cachedAppliedAmount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_comment AFTER UPDATE OF comment ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_createDate AFTER UPDATE OF createDate ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_methodID AFTER UPDATE OF methodID ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'methodID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_modifyDate AFTER UPDATE OF modifyDate ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_name AFTER UPDATE OF name ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment__rowid AFTER UPDATE OF _rowid ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_projectID AFTER UPDATE OF projectID ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_total AFTER UPDATE OF total ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_clientID AFTER UPDATE OF clientID ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_baseCurrencyTotal AFTER UPDATE OF baseCurrencyTotal ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'baseCurrencyTotal'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Payment_baseCurrencyManuallyEntered AFTER UPDATE OF baseCurrencyManuallyEntered ON Payment
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 14, new._rowid, 'U', 'baseCurrencyManuallyEntered'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_PaymentInvoiceEntry AFTER INSERT ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_PaymentInvoiceEntry AFTER DELETE ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry_amountApplied AFTER UPDATE OF amountApplied ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', 'amountApplied'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry_createDate AFTER UPDATE OF createDate ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry__rowid AFTER UPDATE OF _rowid ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry_invoiceID AFTER UPDATE OF invoiceID ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', 'invoiceID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry_modifyDate AFTER UPDATE OF modifyDate ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentInvoiceEntry_paymentID AFTER UPDATE OF paymentID ON PaymentInvoiceEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 15, new._rowid, 'U', 'paymentID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_PaymentMethodType AFTER INSERT ON PaymentMethodType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 16, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_PaymentMethodType AFTER DELETE ON PaymentMethodType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 16, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentMethodType_name AFTER UPDATE OF name ON PaymentMethodType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 16, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentMethodType__rowid AFTER UPDATE OF _rowid ON PaymentMethodType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 16, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_PaymentMethodType_useRetainer AFTER UPDATE OF useRetainer ON PaymentMethodType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 16, new._rowid, 'U', 'useRetainer'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ProFormaInvoice AFTER INSERT ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ProFormaInvoice AFTER DELETE ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_billingsFileID AFTER UPDATE OF billingsFileID ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'billingsFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_comment AFTER UPDATE OF comment ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_createDate AFTER UPDATE OF createDate ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_dueDate AFTER UPDATE OF dueDate ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_invoiceDate AFTER UPDATE OF invoiceDate ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'invoiceDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_modifyDate AFTER UPDATE OF modifyDate ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice__rowid AFTER UPDATE OF _rowid ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_clientID AFTER UPDATE OF clientID ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_userFileID AFTER UPDATE OF userFileID ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'userFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_name AFTER UPDATE OF name ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_slipList AFTER UPDATE OF slipList ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'slipList'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_templatePath AFTER UPDATE OF templatePath ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'templatePath'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_total AFTER UPDATE OF total ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_retainerAmountApplied AFTER UPDATE OF retainerAmountApplied ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'retainerAmountApplied'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProFormaInvoice_customizationValues AFTER UPDATE OF customizationValues ON ProFormaInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 17, new._rowid, 'U', 'customizationValues'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Project AFTER INSERT ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Project AFTER DELETE ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_balance AFTER UPDATE OF balance ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'balance'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_clientID AFTER UPDATE OF clientID ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_completeDate AFTER UPDATE OF completeDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'completeDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_createDate AFTER UPDATE OF createDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_discount AFTER UPDATE OF discount ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_dueDate AFTER UPDATE OF dueDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField1 AFTER UPDATE OF extraField1 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField2 AFTER UPDATE OF extraField2 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField3 AFTER UPDATE OF extraField3 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField3'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField4 AFTER UPDATE OF extraField4 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField4'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField5 AFTER UPDATE OF extraField5 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField5'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField6 AFTER UPDATE OF extraField6 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField6'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField7 AFTER UPDATE OF extraField7 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField7'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_extraField8 AFTER UPDATE OF extraField8 ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'extraField8'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_foreignAppEntityName AFTER UPDATE OF foreignAppEntityName ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'foreignAppEntityName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_foreignAppImportID AFTER UPDATE OF foreignAppImportID ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'foreignAppImportID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_foreignAppLastTouchDate AFTER UPDATE OF foreignAppLastTouchDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'foreignAppLastTouchDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_foreignAppName AFTER UPDATE OF foreignAppName ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'foreignAppName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_foreignAppUser AFTER UPDATE OF foreignAppUser ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'foreignAppUser'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_modifyDate AFTER UPDATE OF modifyDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_name AFTER UPDATE OF name ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_nickname AFTER UPDATE OF nickname ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'nickname'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_objective AFTER UPDATE OF objective ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'objective'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_poNumber AFTER UPDATE OF poNumber ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'poNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_projectCode AFTER UPDATE OF projectCode ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'projectCode'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project__rowid AFTER UPDATE OF _rowid ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_stageID AFTER UPDATE OF stageID ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'stageID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_startDate AFTER UPDATE OF startDate ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'startDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_stateID AFTER UPDATE OF stateID ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'stateID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_total AFTER UPDATE OF total ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_useNickname AFTER UPDATE OF useNickname ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'useNickname'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_uuid AFTER UPDATE OF uuid ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'uuid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_totalCached AFTER UPDATE OF totalCached ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'totalCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_unbilledCached AFTER UPDATE OF unbilledCached ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'unbilledCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_incompleteCached AFTER UPDATE OF incompleteCached ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'incompleteCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_estimatePendingCached AFTER UPDATE OF estimatePendingCached ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'estimatePendingCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Project_durationOfSlipsCached AFTER UPDATE OF durationOfSlipsCached ON Project
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 18, new._rowid, 'U', 'durationOfSlipsCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ProjectStage AFTER INSERT ON ProjectStage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 19, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ProjectStage AFTER DELETE ON ProjectStage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 19, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProjectStage_name AFTER UPDATE OF name ON ProjectStage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 19, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProjectStage__rowid AFTER UPDATE OF _rowid ON ProjectStage
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 19, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_ProjectState AFTER INSERT ON ProjectState
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 20, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_ProjectState AFTER DELETE ON ProjectState
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 20, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProjectState_name AFTER UPDATE OF name ON ProjectState
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 20, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProjectState_stateCode AFTER UPDATE OF stateCode ON ProjectState
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 20, new._rowid, 'U', 'stateCode'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_ProjectState__rowid AFTER UPDATE OF _rowid ON ProjectState
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 20, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_RecurringInvoice AFTER INSERT ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_RecurringInvoice AFTER DELETE ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice__rowid AFTER UPDATE OF _rowid ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_clientID AFTER UPDATE OF clientID ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_lastSentDate AFTER UPDATE OF lastSentDate ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'lastSentDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_nextSendDate AFTER UPDATE OF nextSendDate ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'nextSendDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_modifyDate AFTER UPDATE OF modifyDate ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_recurMonths AFTER UPDATE OF recurMonths ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'recurMonths'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_recurDay AFTER UPDATE OF recurDay ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'recurDay'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_templatePath AFTER UPDATE OF templatePath ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'templatePath'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_name AFTER UPDATE OF name ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_lastPlannedSendDate AFTER UPDATE OF lastPlannedSendDate ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'lastPlannedSendDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_RecurringInvoice_includeUnbilled AFTER UPDATE OF includeUnbilled ON RecurringInvoice
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 21, new._rowid, 'U', 'includeUnbilled'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Retainer AFTER INSERT ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Retainer AFTER DELETE ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_amountApplied AFTER UPDATE OF amountApplied ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'amountApplied'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_createDate AFTER UPDATE OF createDate ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_modifyDate AFTER UPDATE OF modifyDate ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_name AFTER UPDATE OF name ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_projectID AFTER UPDATE OF projectID ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer__rowid AFTER UPDATE OF _rowid ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_total AFTER UPDATE OF total ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_clientID AFTER UPDATE OF clientID ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_comment AFTER UPDATE OF comment ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_methodID AFTER UPDATE OF methodID ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'methodID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_baseCurrencyTotal AFTER UPDATE OF baseCurrencyTotal ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'baseCurrencyTotal'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Retainer_baseCurrencyManuallyEntered AFTER UPDATE OF baseCurrencyManuallyEntered ON Retainer
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 22, new._rowid, 'U', 'baseCurrencyManuallyEntered'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_SlipConflict AFTER INSERT ON SlipConflict
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 23, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_SlipConflict AFTER DELETE ON SlipConflict
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 23, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipConflict__rowid AFTER UPDATE OF _rowid ON SlipConflict
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 23, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipConflict_originalSlipID AFTER UPDATE OF originalSlipID ON SlipConflict
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 23, new._rowid, 'U', 'originalSlipID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipConflict_duplicateSlipID AFTER UPDATE OF duplicateSlipID ON SlipConflict
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 23, new._rowid, 'U', 'duplicateSlipID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_SlipTemplate AFTER INSERT ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_SlipTemplate AFTER DELETE ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_categoryID AFTER UPDATE OF categoryID ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'categoryID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_userID AFTER UPDATE OF userID ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'userID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_comment AFTER UPDATE OF comment ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_discount AFTER UPDATE OF discount ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_markup AFTER UPDATE OF markup ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'markup'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_name AFTER UPDATE OF name ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_nature AFTER UPDATE OF nature ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'nature'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_rate AFTER UPDATE OF rate ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'rate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_slipName AFTER UPDATE OF slipName ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'slipName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate__rowid AFTER UPDATE OF _rowid ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_typeID AFTER UPDATE OF typeID ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'typeID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_units AFTER UPDATE OF units ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'units'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_useTax1 AFTER UPDATE OF useTax1 ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'useTax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_useTax2 AFTER UPDATE OF useTax2 ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'useTax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_SlipTemplate_recurringInvoiceID AFTER UPDATE OF recurringInvoiceID ON SlipTemplate
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 24, new._rowid, 'U', 'recurringInvoiceID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Statement AFTER INSERT ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Statement AFTER DELETE ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement__rowid AFTER UPDATE OF _rowid ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_clientID AFTER UPDATE OF clientID ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'clientID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_billingsFileID AFTER UPDATE OF billingsFileID ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'billingsFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_userFileID AFTER UPDATE OF userFileID ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'userFileID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_sentDate AFTER UPDATE OF sentDate ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'sentDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_comment AFTER UPDATE OF comment ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_fromDate AFTER UPDATE OF fromDate ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'fromDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_toDate AFTER UPDATE OF toDate ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'toDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_totalBalance AFTER UPDATE OF totalBalance ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'totalBalance'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_currentDue AFTER UPDATE OF currentDue ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'currentDue'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_overdue30Days AFTER UPDATE OF overdue30Days ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'overdue30Days'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_overdue60Days AFTER UPDATE OF overdue60Days ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'overdue60Days'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_overdue90Days AFTER UPDATE OF overdue90Days ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'overdue90Days'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_overdueOver90Days AFTER UPDATE OF overdueOver90Days ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'overdueOver90Days'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Statement_statementNumber AFTER UPDATE OF statementNumber ON Statement
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 25, new._rowid, 'U', 'statementNumber'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_Tax AFTER INSERT ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_Tax AFTER DELETE ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_active AFTER UPDATE OF active ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'active'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_compound AFTER UPDATE OF compound ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'compound'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_createDate AFTER UPDATE OF createDate ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_name AFTER UPDATE OF name ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_orderIndex AFTER UPDATE OF orderIndex ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'orderIndex'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_parentTaxID AFTER UPDATE OF parentTaxID ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'parentTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_rate AFTER UPDATE OF rate ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'rate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax_registrationNum AFTER UPDATE OF registrationNum ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', 'registrationNum'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_Tax__rowid AFTER UPDATE OF _rowid ON Tax
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 26, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_TaxConsolidatedTaxEntry AFTER INSERT ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_TaxConsolidatedTaxEntry AFTER DELETE ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TaxConsolidatedTaxEntry_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TaxConsolidatedTaxEntry_orderIndex AFTER UPDATE OF orderIndex ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, new._rowid, 'U', 'orderIndex'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TaxConsolidatedTaxEntry__rowid AFTER UPDATE OF _rowid ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TaxConsolidatedTaxEntry_taxID AFTER UPDATE OF taxID ON TaxConsolidatedTaxEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 27, new._rowid, 'U', 'taxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_TimeEntry AFTER INSERT ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_TimeEntry AFTER DELETE ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_comment AFTER UPDATE OF comment ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_createDate AFTER UPDATE OF createDate ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_endDateTime AFTER UPDATE OF endDateTime ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'endDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_foreignAppEntityName AFTER UPDATE OF foreignAppEntityName ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'foreignAppEntityName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_foreignAppImportID AFTER UPDATE OF foreignAppImportID ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'foreignAppImportID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_foreignAppLastTouchDate AFTER UPDATE OF foreignAppLastTouchDate ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'foreignAppLastTouchDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_foreignAppName AFTER UPDATE OF foreignAppName ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'foreignAppName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_foreignAppUser AFTER UPDATE OF foreignAppUser ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'foreignAppUser'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_isManual AFTER UPDATE OF isManual ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'isManual'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_modifyDate AFTER UPDATE OF modifyDate ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_startDateTime AFTER UPDATE OF startDateTime ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'startDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry__rowid AFTER UPDATE OF _rowid ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_timeSlipID AFTER UPDATE OF timeSlipID ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'timeSlipID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeEntry_uuid AFTER UPDATE OF uuid ON TimeEntry
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 28, new._rowid, 'U', 'uuid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_TimeSlip AFTER INSERT ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_TimeSlip AFTER DELETE ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_activeForTiming AFTER UPDATE OF activeForTiming ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'activeForTiming'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_categoryID AFTER UPDATE OF categoryID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'categoryID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_userID AFTER UPDATE OF userID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'userID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_comment AFTER UPDATE OF comment ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'comment'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_compoundSecondaryTax AFTER UPDATE OF compoundSecondaryTax ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'compoundSecondaryTax'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_consolidatedTaxID AFTER UPDATE OF consolidatedTaxID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'consolidatedTaxID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_createDate AFTER UPDATE OF createDate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_discount AFTER UPDATE OF discount ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'discount'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_distance AFTER UPDATE OF distance ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'distance'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_dueDate AFTER UPDATE OF dueDate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'dueDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_duration AFTER UPDATE OF duration ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'duration'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_endDateTime AFTER UPDATE OF endDateTime ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'endDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_foreignAppEntityName AFTER UPDATE OF foreignAppEntityName ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'foreignAppEntityName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_foreignAppImportID AFTER UPDATE OF foreignAppImportID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'foreignAppImportID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_foreignAppLastTouchDate AFTER UPDATE OF foreignAppLastTouchDate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'foreignAppLastTouchDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_foreignAppName AFTER UPDATE OF foreignAppName ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'foreignAppName'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_foreignAppUser AFTER UPDATE OF foreignAppUser ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'foreignAppUser'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_iCalUID AFTER UPDATE OF iCalUID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'iCalUID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_invoiceID AFTER UPDATE OF invoiceID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'invoiceID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_invoicedDate AFTER UPDATE OF invoicedDate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'invoicedDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_markup AFTER UPDATE OF markup ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'markup'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_mileageType AFTER UPDATE OF mileageType ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'mileageType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_modifyDate AFTER UPDATE OF modifyDate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_name AFTER UPDATE OF name ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_nature AFTER UPDATE OF nature ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'nature'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_projectID AFTER UPDATE OF projectID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_rate AFTER UPDATE OF rate ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'rate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_roundTime AFTER UPDATE OF roundTime ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'roundTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_startDateTime AFTER UPDATE OF startDateTime ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'startDateTime'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_tax1 AFTER UPDATE OF tax1 ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'tax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_tax1Name AFTER UPDATE OF tax1Name ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'tax1Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_tax2 AFTER UPDATE OF tax2 ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'tax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_tax2Name AFTER UPDATE OF tax2Name ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'tax2Name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip__rowid AFTER UPDATE OF _rowid ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_timeSlipRefID AFTER UPDATE OF timeSlipRefID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'timeSlipRefID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_total AFTER UPDATE OF total ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'total'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_typeID AFTER UPDATE OF typeID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'typeID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_units AFTER UPDATE OF units ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'units'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_useTax1 AFTER UPDATE OF useTax1 ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'useTax1'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_useTax2 AFTER UPDATE OF useTax2 ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'useTax2'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_uuid AFTER UPDATE OF uuid ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'uuid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_invoicedProjectID AFTER UPDATE OF invoicedProjectID ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'invoicedProjectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_totalCached AFTER UPDATE OF totalCached ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'totalCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_durationCached AFTER UPDATE OF durationCached ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'durationCached'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_geoLocationStart AFTER UPDATE OF geoLocationStart ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'geoLocationStart'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlip_geoLocationEnd AFTER UPDATE OF geoLocationEnd ON TimeSlip
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 29, new._rowid, 'U', 'geoLocationEnd'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_TimeSlipType AFTER INSERT ON TimeSlipType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 30, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_TimeSlipType AFTER DELETE ON TimeSlipType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 30, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlipType_typeCode AFTER UPDATE OF typeCode ON TimeSlipType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 30, new._rowid, 'U', 'typeCode'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_TimeSlipType__rowid AFTER UPDATE OF _rowid ON TimeSlipType
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 30, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_URLReference AFTER INSERT ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_URLReference AFTER DELETE ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_createDate AFTER UPDATE OF createDate ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_kind AFTER UPDATE OF kind ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'kind'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_modifyDate AFTER UPDATE OF modifyDate ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_name AFTER UPDATE OF name ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_projectID AFTER UPDATE OF projectID ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'projectID'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_url AFTER UPDATE OF url ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'url'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference__rowid AFTER UPDATE OF _rowid ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', '_rowid'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_URLReference_urlType AFTER UPDATE OF urlType ON URLReference
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 31, new._rowid, 'U', 'urlType'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS insert_changelog_User AFTER INSERT ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, new._rowid, 'I'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS delete_changelog_User AFTER DELETE ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, old._rowid, 'D'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_User_createDate AFTER UPDATE OF createDate ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, new._rowid, 'U', 'createDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_User_name AFTER UPDATE OF name ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, new._rowid, 'U', 'name'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_User_modifyDate AFTER UPDATE OF modifyDate ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, new._rowid, 'U', 'modifyDate'); -- hack comment

END;
CREATE TRIGGER IF NOT EXISTS update_changelog_User__rowid AFTER UPDATE OF _rowid ON User
BEGIN

INSERT INTO change_log (_timestamp, table_id, primary_key, operation, changed_columns) VALUES ((SELECT (julianday('now') - 2440587.5)*86400.0), 32, new._rowid, 'U', '_rowid'); -- hack comment

END;
COMMIT;
